Summary: A X front-end for the Ghostscript PostScript(TM) interpreter.
Name: gv
Version: 3.5.8
Release: 15m
License: GPL
Group: Applications/Publishing
Requires: ghostscript
Source0: ftp://ftpthep.physik.uni-mainz.de/pub/gv/unix/gv-%{version}.tar.gz
Patch0: gv-3.5.8-config.patch
Patch1: gv-3.5.8-alias.patch
Patch2: gv-3.5.8-ja.patch
Patch3: gv-3.5.8-ko.patch
Patch4: gv-3.5.8-lang-c.patch
Patch5: gv-quote.patch
Patch6: gv-3.5.8-buffer.patch
Url: http://wwwthep.physik.uni-mainz.de/~plass/gv/
Obsoletes: ghostview
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: Xaw3d-devel >= 1.5-10k
NoSource: 0

%description
Gv is a user interface for the Ghostscript PostScript(TM) interpreter.
Gv can display PostScript and PDF documents on an X Window System.

Install the gv package if you'd like to view PostScript and PDF
documents on your system.  You'll also need to have the ghostscript
package and X installed.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .alias
%patch2 -p1 -b .ja
%patch3 -p1 -b .ko
%patch4 -p1 -b .langc
%patch5 -p1 -b .quote
%patch6 -p1 -b .buffer

%build
cp doc/gv.man source
xmkmf
make Makefiles
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/X11/applnk/Graphics

make DESTDIR=%{buildroot} install install.man
gunzip doc/*gz
cat > %{buildroot}/etc/X11/applnk/Graphics/gv.desktop <<EOF
[Desktop Entry]
Name=Ghostview
Type=Application
Icon=kghostview.xpm
Exec=gv
EOF

ln -sf gv %{buildroot}/usr/X11R6/bin/ghostview

# make Resource
for i in ja ko
do
       mkdir -p %{buildroot}/usr/X11R6/lib/X11/$i/app-defaults
       install source/GV_$i.ad %{buildroot}/usr/X11R6/lib/X11/$i/app-defaults/GV
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES COPYING doc/*.html doc/*doc doc/*txt
/usr/X11R6/bin/gv
/usr/X11R6/lib/X11/gv
/usr/X11R6/lib/X11/app-defaults/GV
/usr/X11R6/lib/X11/*/app-defaults/GV
/usr/X11R6/man/man1/gv.*
%config /etc/X11/applnk/Graphics/gv.desktop
/usr/X11R6/bin/ghostview

%changelog
* Tue Oct 15 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (3.5.8-15m)
- [security] add gv-3.5.8-buffer.patch that fixes the
  following vulnerability.
    https://rhn.redhat.com/errata/RHSA-2002-207.html
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-0838

* Fri Dec 14 2001 Toru Hoshina <t@kondara.org>
- (3.5.8-14k)
- jitterbug #985. very very ditry.

* Fri Jul 14 2000 AYUHANA Tomonori <l@kondara.org>
- (3.5.8-10k)
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5, Xaw3d-1.5

* Sun Apr 02 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat0-6.2 (3.5.8-9).

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Mon Jan 31 2000 Norihito Ohmori <nono@kondara.org>
- Support hangul (locale: ko_KR.eucKR).

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Nov 2 1999 Norihito Ohmori <nono@kondara.org>
- I18N-mb.patch build bug fix.

* Sat Oct 29 1999 Norihito Ohmori <nono@kondara.org>
- rebuild for Kondara.

* Tue Oct 12 1999 Norihito Ohmori <ohmori@flatout.org>
- change papersize Letter -> A4

* Tue Oct 12 1999 Yasuyuki Furukawa <yasu@on.cs.keio.ac.jp>
- (Vine)adjust font settings and some Japanese messages
- added I18N patch (by Daisuke Suzuki)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- fixed bug #272, changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- we are installin a symlink to ghostview

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.5.8

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 15 1997 Erik Troan <ewt@redhat.com>
- added ghostscript requirement, added errlist patch for glibc.
